HighLevelEncoder (ZXing 3.5.0 API)

com.google.zxing.datamatrix.encoder

## Class HighLevelEncoder

- java.lang.Object
- - com.google.zxing.datamatrix.encoder.HighLevelEncoder

-     public final class HighLevelEncoder
      extends Object

  DataMatrix ECC 200 data encoder following the algorithm described in ISO/IEC 16022:200(E) in annex S.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `determineConsecutiveDigitCount(CharSequence msg, int startpos)` Determines the number of consecutive characters that are encodable using numeric compaction.
    `static String` | `encodeHighLevel(String msg)` Performs message encoding of a DataMatrix message using the algorithm described in annex P of ISO/IEC 16022:2000(E).
    `static String` | `encodeHighLevel(String msg, SymbolShapeHint shape, Dimension minSize, Dimension maxSize)` Performs message encoding of a DataMatrix message using the algorithm described in annex P of ISO/IEC 16022:2000(E).
    `static String` | `encodeHighLevel(String msg, SymbolShapeHint shape, Dimension minSize, Dimension maxSize, boolean forceC40)` Performs message encoding of a DataMatrix message using the algorithm described in annex P of ISO/IEC 16022:2000(E).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### encodeHighLevel

          public static String encodeHighLevel(String msg)

      Performs message encoding of a DataMatrix message using the algorithm described in annex P of ISO/IEC 16022:2000(E).
      Parameters:
        `msg` - the message
      Returns:
        the encoded message (the char values range from 0 to 255)

    - #### encodeHighLevel

          public static String encodeHighLevel(String msg,
                                               SymbolShapeHint shape,
                                               Dimension minSize,
                                               Dimension maxSize)

      Performs message encoding of a DataMatrix message using the algorithm described in annex P of ISO/IEC 16022:2000(E).
      Parameters:
        `msg` - the message
        `shape` - requested shape. May be `SymbolShapeHint.FORCE_NONE`, `SymbolShapeHint.FORCE_SQUARE` or `SymbolShapeHint.FORCE_RECTANGLE`.
        `minSize` - the minimum symbol size constraint or null for no constraint
        `maxSize` - the maximum symbol size constraint or null for no constraint
      Returns:
        the encoded message (the char values range from 0 to 255)

    - #### encodeHighLevel

          public static String encodeHighLevel(String msg,
                                               SymbolShapeHint shape,
                                               Dimension minSize,
                                               Dimension maxSize,
                                               boolean forceC40)

      Performs message encoding of a DataMatrix message using the algorithm described in annex P of ISO/IEC 16022:2000(E).
      Parameters:
        `msg` - the message
        `shape` - requested shape. May be `SymbolShapeHint.FORCE_NONE`, `SymbolShapeHint.FORCE_SQUARE` or `SymbolShapeHint.FORCE_RECTANGLE`.
        `minSize` - the minimum symbol size constraint or null for no constraint
        `maxSize` - the maximum symbol size constraint or null for no constraint
        `forceC40` - enforce C40 encoding
      Returns:
        the encoded message (the char values range from 0 to 255)

    - #### determineConsecutiveDigitCount

          public static int determineConsecutiveDigitCount(CharSequence msg,
                                                           int startpos)

      Determines the number of consecutive characters that are encodable using numeric compaction.
      Parameters:
        `msg` - the message
        `startpos` - the start position within the message
      Returns:
        the requested character count

Copyright © 2007–2022. All rights reserved.